using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    /// <summary>
	/// T_SMS_RecvSMS
	/// </summary>
    public partial class T_SMS_RecvSMS
    {
        private readonly CallCenterApi.DAL.T_SMS_RecvSMS dal = new CallCenterApi.DAL.T_SMS_RecvSMS();
        public T_SMS_RecvSMS()
        { }

        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int SMSID)
        {
            return dal.Exists(SMSID);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(CallCenterApi.Model.T_SMS_RecvSMS model)
        {
            return dal.Add(model);

        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_SMS_RecvSMS model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int SMSID)
        {

            return dal.Delete(SMSID);
        }
        /// <summary>
        /// 批量删除一批数据
        /// </summary>
        public bool DeleteList(string SMSIDlist)
        {
            return dal.DeleteList(SMSIDlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_SMS_RecvSMS GetModel(int SMSID)
        {

            return dal.GetModel(SMSID);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_SMS_RecvSMS> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_SMS_RecvSMS> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_SMS_RecvSMS> modelList = new List<CallCenterApi.Model.T_SMS_RecvSMS>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_SMS_RecvSMS model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new CallCenterApi.Model.T_SMS_RecvSMS();
                    if (dt.Rows[n]["SMSID"].ToString() != "")
                    {
                        model.SMSID = int.Parse(dt.Rows[n]["SMSID"].ToString());
                    }
                 
                    model.CallerNum = dt.Rows[n]["CallerNum"].ToString();
                    model.Content = dt.Rows[n]["Content"].ToString();
                    if (dt.Rows[n]["RecvTime"].ToString() != "")
                    {
                        model.RecvTime = DateTime.Parse(dt.Rows[n]["RecvTime"].ToString());
                    }
                    if (dt.Rows[n]["F_UserID"].ToString() != "")
                    {
                        model.F_UserID = int.Parse(dt.Rows[n]["F_UserID"].ToString());
                    }
                    if (dt.Rows[n]["F_CustomerID"].ToString() != "")
                    {
                        model.F_CustomerID = int.Parse(dt.Rows[n]["F_CustomerID"].ToString());
                    }
                    model.F_Name = dt.Rows[n]["F_Name"].ToString();
                    if (dt.Rows[n]["State"].ToString() != "")
                    {
                        model.State = int.Parse(dt.Rows[n]["State"].ToString());
                    }


                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        #endregion
    }
}
